﻿@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using System.Web.UI.WebControls;
@using Portal.Controllers;
@using Portal.Models.SupplierFeedbackPart; 
@using Toyota.Common.Web.Credential;

@model Toyota.Common.Web.MVC.ModelHolder
           
@using (Html.BeginForm("PartialFooterSupplierFeedbackPartForecast", "SupplierFeedbackPart", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <table cellpadding="0" cellspacing="0" style="width:100%; height:100%; padding: 10px;">
        <tr style="height: 20px;">
            <td style="width: 65px; vertical-align: top; padding-top: 10px">
                @Html.Label("Upload File")
            </td>
            <td colspan="2" style="padding-top: 5px">
                @Html.DevExpress().UploadControl(
                    upload =>
                    {
                        upload.Name = "SFPFFFileUpload";

                        upload.CallbackRouteValues = new
                        {
                            Controller = "SupplierFeedbackPart",
                            Action = "SFPFFFileUpload_CallbackRouteValues"
                        };

                        upload.Width = Unit.Percentage(100);
                        //upload.ShowProgressPanel = true;
                        //upload.UploadMode = UploadControlUploadMode.Advanced;

                        upload.ValidationSettings.MaxFileSize = 10000000;
                        upload.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                        upload.ValidationSettings.AllowedFileExtensions = new String[] { ".xls" };
                        upload.ValidationSettings.ShowErrors = true;

                        //upload.ClientSideEvents.UploadingProgressChanged = "OnSFPFFFileUploadUploadingProgressChanged"; 
                        //upload.ClientSideEvents.FileUploadStart = "OnSFPFFFileUploadFileUploadStart"; 
                        upload.ClientSideEvents.FileUploadComplete = "OnSFPFFFileUploadFileUploadComplete";
                        //upload.ClientSideEvents.FilesUploadComplete = "OnSFPFFFilesUploadFileUploadComplete"; 

                        upload.CancelButton.Text = "";
                        upload.CancelButtonSpacing = Unit.Pixel(0);
                        if (DataBinder.Eval(Model.GetModel<SupplierFeedbackPartParameter>(), "PARENT") == "0")
                            upload.Enabled = false;
                        else
                            upload.Enabled = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_CONFIRMED")) == true ? false : true;
                    }).GetHtml()
            </td>
        </tr>
        <tr style="height:5px"></tr> @* row spacing *@
        <tr style="height: 20px;">
            <td>
            </td>
            <td>
                @Html.DevExpress().Label(
                setting =>
                {
                    setting.Text = "Download Template";
                }
            ).GetHtml()
                @Html.DevExpress().HyperLink(
                    setting =>
                    {
                        setting.Name = "SFPFFDownloadTemplateLink";
                        setting.Properties.Text = "Here";
                        setting.Properties.Style.Font.Underline = true;
                        setting.Properties.ClientSideEvents.Click = "OnSFPFFDownloadTemplateLinkClick";
                        setting.ControlStyle.Cursor = "pointer";
                        setting.ControlStyle.VerticalAlign = VerticalAlign.Top;

                        if (DataBinder.Eval(Model.GetModel<SupplierFeedbackPartParameter>(), "PARENT") == "0")
                            setting.Enabled = false;
                        else
                        {
                            var authorized = Model.GetModel<User>().IsAuthorized("Forecast", "SFPFFDownloadTemplateLink");
                            switch (authorized)
                            {                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
                                case 0:
                                    setting.ClientVisible = false;
                                    break;
                                case 1:
                                    setting.ClientVisible = true;
                                    setting.Enabled = false;
                                    break;
                                case 2:
                                    setting.ClientVisible = true;
                                    setting.Enabled = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_CONFIRMED")) == true ? false : true;
                                    break;
                                default:
                                    setting.ClientVisible = true;
                                    setting.Enabled = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_CONFIRMED")) == true ? false : true;
                                    break;
                            }
                        }
                    }
                ).GetHtml()
            </td>
            <td>
            </td>
        </tr>
        <tr></tr> @* row spacing *@
        <tr style="height:50px;">
            <td colspan="3" align="right" style="vertical-align:bottom">
                @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "SFPFFUploadButton";
                        setting.Text = "Upload";
                        setting.Width = Unit.Pixel(60);
                        setting.ClientSideEvents.Click = "OnSFPFFUploadButtonClick";

                        var check = "";

                        check = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "LOCK"));

                        if (check == "1")
                        {
                            setting.Enabled = false;
                        }
                        else
                        {
                            if (DataBinder.Eval(Model.GetModel<SupplierFeedbackPartParameter>(), "PARENT") == "0")
                                setting.Enabled = false;
                            else
                            {
                                var authorized = Model.GetModel<User>().IsAuthorized("Forecast", "SFPFFUploadButton");
                                switch (authorized)
                                {
                                    case 0:
                                        setting.ClientVisible = false;
                                        break;
                                    case 1:
                                        setting.ClientVisible = true;
                                        setting.Enabled = false;
                                        break;
                                    case 2:
                                        setting.ClientVisible = true;
                                        setting.Enabled = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_CONFIRMED")) == true ? false : true;
                                        break;
                                    default:
                                        setting.ClientVisible = true;
                                        setting.Enabled = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_CONFIRMED")) == true ? false : true;
                                        break;
                                }
                            }
                        }
                    }
                    
                ).GetHtml()
            </td>
        </tr>
    </table>
}
